<% layout('index') %>
<h1 class="text-danger"><%= title %></h1>

<div class="container">
    <form method="POST" action="">
      <fieldset>
        <legend>Update the details the staff:</legend>
        <input type="hidden" name="staff_id" value="<%= staff._id %>" required>
        <div class="form-group">
          <label for="name">Name</label>
          <input type="text" class="form-control" name="name" value="<%= staff.name %>" placeholder="Enter name" required>
        </div>
        <div class="form-group">
          <label for="contact_no">Contact no.</label>
          <input type="text" class="form-control" name="contact_no" value="<%= staff.contact_no %>"  placeholder="Enter contact no." required>
        </div>
        <div class="form-group">
          <label for="email">Email address</label>
          <input type="email" class="form-control" name="secondary_email" value="<%= staff.secondary_email %>"  aria-describedby="emailHelp" required placeholder="Enter email">
        </div>
        <div class="form-group">
          <label for="IC">IC No.</label>
          <input type="text" class="form-control" name="IC" value="<%= staff.IC %>"  placeholder="Enter IC" required>
        </div>
        <div class="form-group">
          <label for="DOB">Date of Birth</label>
          <input type="date" class="form-control" name="DOB" value="<%= staff.DOB.substr(0, 10) %>" >
        </div>
        <div class="form-group">
          <label for="home_address">Home address</label>
          <textarea class="form-control" name="home_address" rows="3" placeholder="Enter home address" required><%= staff.home_address %></textarea>
        </div>
        <div class="form-group">
          <label for="postcode">Post Code</label>
          <input type="text" class="form-control" name="postcode" value="<%= staff.postcode %>" placeholder="Enter post code" required>
        </div>
        <div class="form-group">
          <label for="StateOB">State</label>
          <select class="form-control" name="StateOB_id">
            <% for (let item of local_state_list) { %>
                <option value="<%= item._id %>" 
                    <%- item._id == staff.StateOB_id 
                        ? 'selected="selected"'
                        : '' %> 
                >
                  <%= item.name %>
                </option>
            <% } %>
          </select>
        </div>
        <div class="form-group">
          <label for="nation">Nationality</label>
          <select class="form-control" name="nation_id">
            <% for (let item of nation_list) { %>
                <option value="<%= item._id %>"
                    <%- item._id == staff.nation_id 
                        ? 'selected="selected"'
                        : '' %> 
                >
                  <%= item.nation %>
                </option>
            <% } %>
          </select>
        </div>
        <div class="form-group">
          <label for="gender">Gender</label>
          <select class="form-control" name="gender_id">
            <% for (let item of gender_list) { %>
                <option value="<%= item._id %>"
                    <%- item._id == staff.gender_id 
                        ? 'selected="selected"'
                        : '' %> 
                >
                  <%= item.gender %>
                </option>
            <% } %>
          </select>
        </div>
        <div class="form-group">
          <label for="religion">Religion</label>
          <select class="form-control" name="religion_id">
            <% for (let item of religion_list) { %>
                <option value="<%= item._id %>"
                    <%- item._id == staff.religion_id 
                        ? 'selected="selected"'
                        : '' %> 
                >
                  <%= item.name %>
                </option>
            <% } %>
          </select>
        </div>
        <div class="form-group">
          <label for="race">Race</label>
          <select class="form-control" name="race_id">
            <% for (let item of race_list) { %>
                <option value="<%= item._id %>"
                    <%- item._id == staff.race_id 
                        ? 'selected="selected"'
                        : '' %> 
                >
                  <%= item.name %>
                </option>
            <% } %>
          </select>
        </div>
        <div class="form-group">
          <label for="marriage_status">Marriage Status</label>
          <select class="form-control" name="marriage_status_id">
            <% for (let item of marriage_status_list) { %>
                <option value="<%= item._id %>"
                    <%- item._id == staff.marriage_status_id 
                        ? 'selected="selected"'
                        : '' %> 
                >
                  <%= item.status %>
                </option>
            <% } %>
          </select>
        </div>
        <div class="form-group">
          <label for="employee_status">Employee Status</label>
          <select class="form-control" name="employee_status_id">
            <% for (let item of employee_status_list) { %>
                <option value="<%= item._id %>"
                    <%- item._id == staff.employee_status_id 
                        ? 'selected="selected"'
                        : '' %> 
                >
                  <%= item.status %>
                </option>
            <% } %>
          </select>
        </div>
        <div class="form-group">
          <label for="employee_status">Position</label>
          <select class="form-control" name="position_id">
            <% for (let item of staff_position_list) { %>
                <option value="<%= item._id %>"
                    <%- item._id == staff.position_id 
                        ? 'selected="selected"'
                        : '' %> 
                >
                  <%= item.gred + ' - ' + item.jawatan %>
                </option>
            <% } %>
          </select>
        </div>
        <div class="form-group">
          <label for="office_dept">Department</label>
          <select class="form-control" name="dept_id">
            <% for (let item of office_dept_list) { %>
                <option value="<%= item._id %>"
                    <%- item._id == staff.dept_id 
                        ? 'selected="selected"'
                        : '' %> 
                >
                  <%= item.pusat + ' - ' + item.bahagian %>
                </option>
            <% } %>
          </select>
        </div>
        <div class="form-group">
          <label for="date_enter">Date Enter</label>
          <input type="date" class="form-control" name="date_enter" value="<%= staff.date_enter.substr(0, 10) %>" >
        </div>
        <button type="submit" class="btn btn-danger">Submit</button>
      </fieldset>
    </form>
</div>